package com.bocloud.cmp.model.agile;

import java.util.Date;
import java.util.List;

/**
 * 用户端口
 */
public class AgileEndPortModel {
    private String portUuid; // 用户端口ID
    private String switchPortUuid; // 用户端口关联的逻辑端口ID
    private String name; // 用户端口名称
    private String description; // 用户端口描述
    private String vpcUuid; // 用户端口所属VPC ID
    private String location; // VM或主机所在的地理位置
    private String vmName; // 用户端口终端名称
    private List<String> ipv4; // ipv4
    private List<String> ipv6; // ipv6
    private String tenantUuid; // 用户端口所属租户ID
    // 用户端口创建类型。枚举类型，支持的取值：Manually：手动创建类型；Automatically：非手动创建类型
    private String type;
    private String accessMode; // 用户端口接入方式。枚举类型，支持的取值：Layer2、Layer3
    private Integer vlan; // 用户端口vlan值
    private Integer egressVlan; // 用户端口出口Vlan值
    private String mac; // 用户端口MAC地址
    private String externalNetworkId; // 用户端口关联的外部网络ID
    private List<String> ipv4Prefixs; // 当用户端口接入方式为Layer3时，归属外部网关的公共Ip
    private List<String> ipv6Prefixs; // 当用户端口接入方式为Layer3时，归属外部网关的公共Ip
    private String qosTemplate; // QoS模板
    private String producer; //配置来源
    private Date gmtCreate; //创建时间
    private Date gmtModify; //更新时间

    public String getPortUuid() {
        return portUuid;
    }

    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    public String getSwitchPortUuid() {
        return switchPortUuid;
    }

    public void setSwitchPortUuid(String switchPortUuid) {
        this.switchPortUuid = switchPortUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getVpcUuid() {
        return vpcUuid;
    }

    public void setVpcUuid(String vpcUuid) {
        this.vpcUuid = vpcUuid;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getVmName() {
        return vmName;
    }

    public void setVmName(String vmName) {
        this.vmName = vmName;
    }

    public List<String> getIpv4() {
        return ipv4;
    }

    public void setIpv4(List<String> ipv4) {
        this.ipv4 = ipv4;
    }

    public List<String> getIpv6() {
        return ipv6;
    }

    public void setIpv6(List<String> ipv6) {
        this.ipv6 = ipv6;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAccessMode() {
        return accessMode;
    }

    public void setAccessMode(String accessMode) {
        this.accessMode = accessMode;
    }

    public Integer getVlan() {
        return vlan;
    }

    public void setVlan(Integer vlan) {
        this.vlan = vlan;
    }

    public Integer getEgressVlan() {
        return egressVlan;
    }

    public void setEgressVlan(Integer egressVlan) {
        this.egressVlan = egressVlan;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getExternalNetworkId() {
        return externalNetworkId;
    }

    public void setExternalNetworkId(String externalNetworkId) {
        this.externalNetworkId = externalNetworkId;
    }

    public List<String> getIpv4Prefixs() {
        return ipv4Prefixs;
    }

    public void setIpv4Prefixs(List<String> ipv4Prefixs) {
        this.ipv4Prefixs = ipv4Prefixs;
    }

    public List<String> getIpv6Prefixs() {
        return ipv6Prefixs;
    }

    public void setIpv6Prefixs(List<String> ipv6Prefixs) {
        this.ipv6Prefixs = ipv6Prefixs;
    }

    public String getQosTemplate() {
        return qosTemplate;
    }

    public void setQosTemplate(String qosTemplate) {
        this.qosTemplate = qosTemplate;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }
}
